cancel
Showing results for 
Search instead for 
Did you mean: 

Oracle 8i installation

Sandeep Singh
Occasional Visitor

Oracle 8i installation

Hi!!
We have HP 9000 D servers running Oracle 8.1.6.3 and we would now like to upgrade the hardware to HP r 3440 server. The problem is will the Oracle 8.1.6.3 load and run without problems on the latest HP Hardware and Hp Ux OS ?
We have a large number of Pro C programs running and will they recompile and start running without problems on the new system ?
3 REPLIES
A. Clay Stephenson
Acclaimed Contributor

Re: Oracle 8i installation

How could anyone possibly answer this question when no one outside your company has any idea of the quality of your code? The general answer to your question is that well-written applications will run without problems but there are a few gotcha's. For example, your D boxes (depending upon the model) might run either 32-bit or 64-bit HP-UX) so you could have problems when you try to run on a 64-bit only OS --- but again, well-written 32-bit applications will execute in either a 32-bit or 64-bit environment. I suspect that all you will really have to do is relink Oracle after you move it and all will be well.
If it ain't broke, I can fix that.
Steven E. Protter
Exalted Contributor

Re: Oracle 8i installation

Shalom,

Though out of support it Oracle will run without problems on an rp3440 with 11.11 and all required oracle patches. Pay particular attention to complying with Oracle patch requirements.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Ben Dehner
Trusted Contributor

Re: Oracle 8i installation

This version of Oracle should run without problems on the new system. We've been running 8.1.7.4 on 11.11 for years now without problems. However, this version is long out of support. If you can't go to 9i immediately, you might seriously consider upgrading to 8.1.7.4. This was the terminal release of 8i, and Oracle upgrade path requires starting at this revision. Sooner or later, hardware or application compatibility will force you to a place where 8i won't run.

The Pro*C programs might be a little trickier. While the code should run fine, what I've found is that it can choke on some system header files, so it won't compile. Which header files cause it problems seem to vary somewhat among different OS's. You may have to make some changes to your source so that Pro*C will compile.
Trust me, I know what I'm doing